FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::IntType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::IntType:

## Public Member Functions
KindTy | getFKind () const

## Static Public Member Functions
static IntType | get (mlir::MLIRContext *ctxt, KindTy kind)
Static Public Member Functions inherited from fir::IntrinsicTypeMixin< IntType, TypeKind::FIR_INT >
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

Model of a Fortran INTEGER intrinsic type, including the KIND type parameter.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp